ALR-TEST(1)

NAME
alr-test - Tests the compilation of all or some releases

SYNOPSIS

alr test [options] [crate[versions]]...

OPTIONS

--continue
    Skip testing of releases already in folder

--docker[=IMAGE]
    Test releases within docker IMAGE (or alire/gnat:debian-stable)

--full
    Test all indexed crates

--newest
    Test only the newest release in crates

--redo
    Retest releases already in folder (implies --continue)

--search
    Interpret arguments as substrings instead of exact crate names

GLOBAL OPTIONS

-c, --config=ARG
    Override configuration folder location

-f, --force
    Keep going after a recoverable troublesome situation

-h, --help
    Display general or command-specific help

-n, --non-interactive
    Assume default answers for all user prompts

--no-color
    Disables colors in output

--no-tty
    Disables control characters in output

--prefer-oldest
    Prefer oldest versions instead of newest when resolving dependencies

--version
    Displays version and exits

-q  Limit output to errors

-v  Be more verbose (use twice for extra detail)

-d, --debug[]
    Enable debug-specific log messages

DESCRIPTION
Tests the retrievability and buildability of all or specific releases. Unless --continue or --redo is given, the command expects to be run in an empty folder.

SEE ALSO
alr(1), alr-action(1), alr-build(1), alr-clean(1), alr-dev(1), alr-edit(1), alr-run(1), alr-exec(1), gprbuild(1)

AUTHOR
Generated with generate-man from Alire execution